
package com.oracle.xmlns.apps.crmcommon.activities.activitymanagementservice.types;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.oracle.xmlns.apps.crmcommon.activities.activitymanagementservice.types package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.oracle.xmlns.apps.crmcommon.activities.activitymanagementservice.types
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link FindActivityAsyncResponse }
     * 
     */
    public FindActivityAsyncResponse createFindActivityAsyncResponse() {
        return new FindActivityAsyncResponse();
    }

    /**
     * Create an instance of {@link CopyAttachmentAsync }
     * 
     */
    public CopyAttachmentAsync createCopyAttachmentAsync() {
        return new CopyAttachmentAsync();
    }

    /**
     * Create an instance of {@link DeleteActivityContactResponse }
     * 
     */
    public DeleteActivityContactResponse createDeleteActivityContactResponse() {
        return new DeleteActivityContactResponse();
    }

    /**
     * Create an instance of {@link GetActivity }
     * 
     */
    public GetActivity createGetActivity() {
        return new GetActivity();
    }

    /**
     * Create an instance of {@link FindActivityAssigneeAsync }
     * 
     */
    public FindActivityAssigneeAsync createFindActivityAssigneeAsync() {
        return new FindActivityAssigneeAsync();
    }

    /**
     * Create an instance of {@link UpdateActivityContactAsyncResponse }
     * 
     */
    public UpdateActivityContactAsyncResponse createUpdateActivityContactAsyncResponse() {
        return new UpdateActivityContactAsyncResponse();
    }

    /**
     * Create an instance of {@link UpdateActivityContactAsync }
     * 
     */
    public UpdateActivityContactAsync createUpdateActivityContactAsync() {
        return new UpdateActivityContactAsync();
    }

    /**
     * Create an instance of {@link FindActivityDeleteExceptionsAsyncResponse }
     * 
     */
    public FindActivityDeleteExceptionsAsyncResponse createFindActivityDeleteExceptionsAsyncResponse() {
        return new FindActivityDeleteExceptionsAsyncResponse();
    }

    /**
     * Create an instance of {@link CreateActivityAssigneeAsyncResponse }
     * 
     */
    public CreateActivityAssigneeAsyncResponse createCreateActivityAssigneeAsyncResponse() {
        return new CreateActivityAssigneeAsyncResponse();
    }

    /**
     * Create an instance of {@link CreateActivityContactAsync }
     * 
     */
    public CreateActivityContactAsync createCreateActivityContactAsync() {
        return new CreateActivityContactAsync();
    }

    /**
     * Create an instance of {@link UpdateActivityAsyncResponse }
     * 
     */
    public UpdateActivityAsyncResponse createUpdateActivityAsyncResponse() {
        return new UpdateActivityAsyncResponse();
    }

    /**
     * Create an instance of {@link FindActivityAsync }
     * 
     */
    public FindActivityAsync createFindActivityAsync() {
        return new FindActivityAsync();
    }

    /**
     * Create an instance of {@link GenerateActivitiesFromTemplateResponse }
     * 
     */
    public GenerateActivitiesFromTemplateResponse createGenerateActivitiesFromTemplateResponse() {
        return new GenerateActivitiesFromTemplateResponse();
    }

    /**
     * Create an instance of {@link DeleteAttachment }
     * 
     */
    public DeleteAttachment createDeleteAttachment() {
        return new DeleteAttachment();
    }

    /**
     * Create an instance of {@link CreateActivityAssignee }
     * 
     */
    public CreateActivityAssignee createCreateActivityAssignee() {
        return new CreateActivityAssignee();
    }

    /**
     * Create an instance of {@link ProcessActivityResponse }
     * 
     */
    public ProcessActivityResponse createProcessActivityResponse() {
        return new ProcessActivityResponse();
    }

    /**
     * Create an instance of {@link FindActivity }
     * 
     */
    public FindActivity createFindActivity() {
        return new FindActivity();
    }

    /**
     * Create an instance of {@link DeleteActivity }
     * 
     */
    public DeleteActivity createDeleteActivity() {
        return new DeleteActivity();
    }

    /**
     * Create an instance of {@link FindActivityDeleteExceptionsResponse }
     * 
     */
    public FindActivityDeleteExceptionsResponse createFindActivityDeleteExceptionsResponse() {
        return new FindActivityDeleteExceptionsResponse();
    }

    /**
     * Create an instance of {@link DeleteActivityAssignee }
     * 
     */
    public DeleteActivityAssignee createDeleteActivityAssignee() {
        return new DeleteActivityAssignee();
    }

    /**
     * Create an instance of {@link GetEntityListAsync }
     * 
     */
    public GetEntityListAsync createGetEntityListAsync() {
        return new GetEntityListAsync();
    }

    /**
     * Create an instance of {@link GetAttachmentsListWithoutContentAsync }
     * 
     */
    public GetAttachmentsListWithoutContentAsync createGetAttachmentsListWithoutContentAsync() {
        return new GetAttachmentsListWithoutContentAsync();
    }

    /**
     * Create an instance of {@link GetAttachmentContentResponse }
     * 
     */
    public GetAttachmentContentResponse createGetAttachmentContentResponse() {
        return new GetAttachmentContentResponse();
    }

    /**
     * Create an instance of {@link ProcessActivity }
     * 
     */
    public ProcessActivity createProcessActivity() {
        return new ProcessActivity();
    }

    /**
     * Create an instance of {@link CopyAttachmentAsyncResponse }
     * 
     */
    public CopyAttachmentAsyncResponse createCopyAttachmentAsyncResponse() {
        return new CopyAttachmentAsyncResponse();
    }

    /**
     * Create an instance of {@link DeleteActivityAsync }
     * 
     */
    public DeleteActivityAsync createDeleteActivityAsync() {
        return new DeleteActivityAsync();
    }

    /**
     * Create an instance of {@link ProcessActivityAsyncResponse }
     * 
     */
    public ProcessActivityAsyncResponse createProcessActivityAsyncResponse() {
        return new ProcessActivityAsyncResponse();
    }

    /**
     * Create an instance of {@link CreateActivityContactResponse }
     * 
     */
    public CreateActivityContactResponse createCreateActivityContactResponse() {
        return new CreateActivityContactResponse();
    }

    /**
     * Create an instance of {@link DeleteAttachmentAsync }
     * 
     */
    public DeleteAttachmentAsync createDeleteAttachmentAsync() {
        return new DeleteAttachmentAsync();
    }

    /**
     * Create an instance of {@link FindActivityDeleteExceptions }
     * 
     */
    public FindActivityDeleteExceptions createFindActivityDeleteExceptions() {
        return new FindActivityDeleteExceptions();
    }

    /**
     * Create an instance of {@link ProcessActivityAsync }
     * 
     */
    public ProcessActivityAsync createProcessActivityAsync() {
        return new ProcessActivityAsync();
    }

    /**
     * Create an instance of {@link DeleteActivityAssigneeAsyncResponse }
     * 
     */
    public DeleteActivityAssigneeAsyncResponse createDeleteActivityAssigneeAsyncResponse() {
        return new DeleteActivityAssigneeAsyncResponse();
    }

    /**
     * Create an instance of {@link UpdateActivityAssigneeAsync }
     * 
     */
    public UpdateActivityAssigneeAsync createUpdateActivityAssigneeAsync() {
        return new UpdateActivityAssigneeAsync();
    }

    /**
     * Create an instance of {@link GetDfltObjAttrHintsAsync }
     * 
     */
    public GetDfltObjAttrHintsAsync createGetDfltObjAttrHintsAsync() {
        return new GetDfltObjAttrHintsAsync();
    }

    /**
     * Create an instance of {@link CopyAttachment }
     * 
     */
    public CopyAttachment createCopyAttachment() {
        return new CopyAttachment();
    }

    /**
     * Create an instance of {@link UpdateActivity }
     * 
     */
    public UpdateActivity createUpdateActivity() {
        return new UpdateActivity();
    }

    /**
     * Create an instance of {@link CreateActivityResponse }
     * 
     */
    public CreateActivityResponse createCreateActivityResponse() {
        return new CreateActivityResponse();
    }

    /**
     * Create an instance of {@link GetEntityListResponse }
     * 
     */
    public GetEntityListResponse createGetEntityListResponse() {
        return new GetEntityListResponse();
    }

    /**
     * Create an instance of {@link GetServiceLastUpdateTimeAsyncResponse }
     * 
     */
    public GetServiceLastUpdateTimeAsyncResponse createGetServiceLastUpdateTimeAsyncResponse() {
        return new GetServiceLastUpdateTimeAsyncResponse();
    }

    /**
     * Create an instance of {@link FindActivityResponse }
     * 
     */
    public FindActivityResponse createFindActivityResponse() {
        return new FindActivityResponse();
    }

    /**
     * Create an instance of {@link GenerateActivitiesFromTemplateAsyncResponse }
     * 
     */
    public GenerateActivitiesFromTemplateAsyncResponse createGenerateActivitiesFromTemplateAsyncResponse() {
        return new GenerateActivitiesFromTemplateAsyncResponse();
    }

    /**
     * Create an instance of {@link GetDfltObjAttrHintsResponse }
     * 
     */
    public GetDfltObjAttrHintsResponse createGetDfltObjAttrHintsResponse() {
        return new GetDfltObjAttrHintsResponse();
    }

    /**
     * Create an instance of {@link GetServiceLastUpdateTime }
     * 
     */
    public GetServiceLastUpdateTime createGetServiceLastUpdateTime() {
        return new GetServiceLastUpdateTime();
    }

    /**
     * Create an instance of {@link UpdateActivityAssignee }
     * 
     */
    public UpdateActivityAssignee createUpdateActivityAssignee() {
        return new UpdateActivityAssignee();
    }

    /**
     * Create an instance of {@link GetActivityAsyncResponse }
     * 
     */
    public GetActivityAsyncResponse createGetActivityAsyncResponse() {
        return new GetActivityAsyncResponse();
    }

    /**
     * Create an instance of {@link GetAttachmentsListWithoutContentAsyncResponse }
     * 
     */
    public GetAttachmentsListWithoutContentAsyncResponse createGetAttachmentsListWithoutContentAsyncResponse() {
        return new GetAttachmentsListWithoutContentAsyncResponse();
    }

    /**
     * Create an instance of {@link GetAttachmentsListWithoutContentResponse }
     * 
     */
    public GetAttachmentsListWithoutContentResponse createGetAttachmentsListWithoutContentResponse() {
        return new GetAttachmentsListWithoutContentResponse();
    }

    /**
     * Create an instance of {@link CreateActivityAsync }
     * 
     */
    public CreateActivityAsync createCreateActivityAsync() {
        return new CreateActivityAsync();
    }

    /**
     * Create an instance of {@link CreateActivityAssigneeResponse }
     * 
     */
    public CreateActivityAssigneeResponse createCreateActivityAssigneeResponse() {
        return new CreateActivityAssigneeResponse();
    }

    /**
     * Create an instance of {@link CreateActivity }
     * 
     */
    public CreateActivity createCreateActivity() {
        return new CreateActivity();
    }

    /**
     * Create an instance of {@link GetServiceLastUpdateTimeAsync }
     * 
     */
    public GetServiceLastUpdateTimeAsync createGetServiceLastUpdateTimeAsync() {
        return new GetServiceLastUpdateTimeAsync();
    }

    /**
     * Create an instance of {@link CreateAttachmentAsync }
     * 
     */
    public CreateAttachmentAsync createCreateAttachmentAsync() {
        return new CreateAttachmentAsync();
    }

    /**
     * Create an instance of {@link CreateAttachmentResponse }
     * 
     */
    public CreateAttachmentResponse createCreateAttachmentResponse() {
        return new CreateAttachmentResponse();
    }

    /**
     * Create an instance of {@link DeleteActivityContact }
     * 
     */
    public DeleteActivityContact createDeleteActivityContact() {
        return new DeleteActivityContact();
    }

    /**
     * Create an instance of {@link CreateActivityAsyncResponse }
     * 
     */
    public CreateActivityAsyncResponse createCreateActivityAsyncResponse() {
        return new CreateActivityAsyncResponse();
    }

    /**
     * Create an instance of {@link FindActivityAssigneeAsyncResponse }
     * 
     */
    public FindActivityAssigneeAsyncResponse createFindActivityAssigneeAsyncResponse() {
        return new FindActivityAssigneeAsyncResponse();
    }

    /**
     * Create an instance of {@link GetEntityListAsyncResponse }
     * 
     */
    public GetEntityListAsyncResponse createGetEntityListAsyncResponse() {
        return new GetEntityListAsyncResponse();
    }

    /**
     * Create an instance of {@link GenerateActivitiesFromTemplateAsync }
     * 
     */
    public GenerateActivitiesFromTemplateAsync createGenerateActivitiesFromTemplateAsync() {
        return new GenerateActivitiesFromTemplateAsync();
    }

    /**
     * Create an instance of {@link GenerateActivitiesFromTemplate }
     * 
     */
    public GenerateActivitiesFromTemplate createGenerateActivitiesFromTemplate() {
        return new GenerateActivitiesFromTemplate();
    }

    /**
     * Create an instance of {@link CopyAttachmentResponse }
     * 
     */
    public CopyAttachmentResponse createCopyAttachmentResponse() {
        return new CopyAttachmentResponse();
    }

    /**
     * Create an instance of {@link UpdateActivityContact }
     * 
     */
    public UpdateActivityContact createUpdateActivityContact() {
        return new UpdateActivityContact();
    }

    /**
     * Create an instance of {@link FindActivityContact }
     * 
     */
    public FindActivityContact createFindActivityContact() {
        return new FindActivityContact();
    }

    /**
     * Create an instance of {@link CreateAttachmentAsyncResponse }
     * 
     */
    public CreateAttachmentAsyncResponse createCreateAttachmentAsyncResponse() {
        return new CreateAttachmentAsyncResponse();
    }

    /**
     * Create an instance of {@link GetDfltObjAttrHints }
     * 
     */
    public GetDfltObjAttrHints createGetDfltObjAttrHints() {
        return new GetDfltObjAttrHints();
    }

    /**
     * Create an instance of {@link DeleteActivityResponse }
     * 
     */
    public DeleteActivityResponse createDeleteActivityResponse() {
        return new DeleteActivityResponse();
    }

    /**
     * Create an instance of {@link GetDfltObjAttrHintsAsyncResponse }
     * 
     */
    public GetDfltObjAttrHintsAsyncResponse createGetDfltObjAttrHintsAsyncResponse() {
        return new GetDfltObjAttrHintsAsyncResponse();
    }

    /**
     * Create an instance of {@link GetAttachmentContentAsync }
     * 
     */
    public GetAttachmentContentAsync createGetAttachmentContentAsync() {
        return new GetAttachmentContentAsync();
    }

    /**
     * Create an instance of {@link FindActivityDeleteExceptionsAsync }
     * 
     */
    public FindActivityDeleteExceptionsAsync createFindActivityDeleteExceptionsAsync() {
        return new FindActivityDeleteExceptionsAsync();
    }

    /**
     * Create an instance of {@link CreateAttachment }
     * 
     */
    public CreateAttachment createCreateAttachment() {
        return new CreateAttachment();
    }

    /**
     * Create an instance of {@link CreateActivityAssigneeAsync }
     * 
     */
    public CreateActivityAssigneeAsync createCreateActivityAssigneeAsync() {
        return new CreateActivityAssigneeAsync();
    }

    /**
     * Create an instance of {@link UpdateActivityAssigneeResponse }
     * 
     */
    public UpdateActivityAssigneeResponse createUpdateActivityAssigneeResponse() {
        return new UpdateActivityAssigneeResponse();
    }

    /**
     * Create an instance of {@link GetActivityAsync }
     * 
     */
    public GetActivityAsync createGetActivityAsync() {
        return new GetActivityAsync();
    }

    /**
     * Create an instance of {@link UpdateActivityResponse }
     * 
     */
    public UpdateActivityResponse createUpdateActivityResponse() {
        return new UpdateActivityResponse();
    }

    /**
     * Create an instance of {@link UpdateActivityContactResponse }
     * 
     */
    public UpdateActivityContactResponse createUpdateActivityContactResponse() {
        return new UpdateActivityContactResponse();
    }

    /**
     * Create an instance of {@link CreateActivityContact }
     * 
     */
    public CreateActivityContact createCreateActivityContact() {
        return new CreateActivityContact();
    }

    /**
     * Create an instance of {@link DeleteActivityAssigneeAsync }
     * 
     */
    public DeleteActivityAssigneeAsync createDeleteActivityAssigneeAsync() {
        return new DeleteActivityAssigneeAsync();
    }

    /**
     * Create an instance of {@link FindActivityAssignee }
     * 
     */
    public FindActivityAssignee createFindActivityAssignee() {
        return new FindActivityAssignee();
    }

    /**
     * Create an instance of {@link FindActivityAssigneeResponse }
     * 
     */
    public FindActivityAssigneeResponse createFindActivityAssigneeResponse() {
        return new FindActivityAssigneeResponse();
    }

    /**
     * Create an instance of {@link DeleteActivityContactAsyncResponse }
     * 
     */
    public DeleteActivityContactAsyncResponse createDeleteActivityContactAsyncResponse() {
        return new DeleteActivityContactAsyncResponse();
    }

    /**
     * Create an instance of {@link DeleteActivityAssigneeResponse }
     * 
     */
    public DeleteActivityAssigneeResponse createDeleteActivityAssigneeResponse() {
        return new DeleteActivityAssigneeResponse();
    }

    /**
     * Create an instance of {@link UpdateActivityAssigneeAsyncResponse }
     * 
     */
    public UpdateActivityAssigneeAsyncResponse createUpdateActivityAssigneeAsyncResponse() {
        return new UpdateActivityAssigneeAsyncResponse();
    }

    /**
     * Create an instance of {@link DeleteAttachmentResponse }
     * 
     */
    public DeleteAttachmentResponse createDeleteAttachmentResponse() {
        return new DeleteAttachmentResponse();
    }

    /**
     * Create an instance of {@link GetEntityList }
     * 
     */
    public GetEntityList createGetEntityList() {
        return new GetEntityList();
    }

    /**
     * Create an instance of {@link DeleteActivityAsyncResponse }
     * 
     */
    public DeleteActivityAsyncResponse createDeleteActivityAsyncResponse() {
        return new DeleteActivityAsyncResponse();
    }

    /**
     * Create an instance of {@link UpdateActivityAsync }
     * 
     */
    public UpdateActivityAsync createUpdateActivityAsync() {
        return new UpdateActivityAsync();
    }

    /**
     * Create an instance of {@link FindActivityContactResponse }
     * 
     */
    public FindActivityContactResponse createFindActivityContactResponse() {
        return new FindActivityContactResponse();
    }

    /**
     * Create an instance of {@link GetAttachmentContent }
     * 
     */
    public GetAttachmentContent createGetAttachmentContent() {
        return new GetAttachmentContent();
    }

    /**
     * Create an instance of {@link FindActivityContactAsyncResponse }
     * 
     */
    public FindActivityContactAsyncResponse createFindActivityContactAsyncResponse() {
        return new FindActivityContactAsyncResponse();
    }

    /**
     * Create an instance of {@link FindActivityContactAsync }
     * 
     */
    public FindActivityContactAsync createFindActivityContactAsync() {
        return new FindActivityContactAsync();
    }

    /**
     * Create an instance of {@link GetActivityResponse }
     * 
     */
    public GetActivityResponse createGetActivityResponse() {
        return new GetActivityResponse();
    }

    /**
     * Create an instance of {@link GetAttachmentsListWithoutContent }
     * 
     */
    public GetAttachmentsListWithoutContent createGetAttachmentsListWithoutContent() {
        return new GetAttachmentsListWithoutContent();
    }

    /**
     * Create an instance of {@link GetServiceLastUpdateTimeResponse }
     * 
     */
    public GetServiceLastUpdateTimeResponse createGetServiceLastUpdateTimeResponse() {
        return new GetServiceLastUpdateTimeResponse();
    }

    /**
     * Create an instance of {@link DeleteAttachmentAsyncResponse }
     * 
     */
    public DeleteAttachmentAsyncResponse createDeleteAttachmentAsyncResponse() {
        return new DeleteAttachmentAsyncResponse();
    }

    /**
     * Create an instance of {@link DeleteActivityContactAsync }
     * 
     */
    public DeleteActivityContactAsync createDeleteActivityContactAsync() {
        return new DeleteActivityContactAsync();
    }

    /**
     * Create an instance of {@link GetAttachmentContentAsyncResponse }
     * 
     */
    public GetAttachmentContentAsyncResponse createGetAttachmentContentAsyncResponse() {
        return new GetAttachmentContentAsyncResponse();
    }

    /**
     * Create an instance of {@link CreateActivityContactAsyncResponse }
     * 
     */
    public CreateActivityContactAsyncResponse createCreateActivityContactAsyncResponse() {
        return new CreateActivityContactAsyncResponse();
    }

}
